package com.huatek.busi.mapper;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface CapacitanceEquipmentSummaryMapper {

    int deleteOneDayData(@Param("day") LocalDate day);

    List<Map<String, Object>> getOneDayData(@Param("startTime") LocalDateTime startTime,
        @Param("endTime") LocalDateTime endTime);

    Map<String, Object> getAvgData(Map<String, Object> param);
}